Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class AttributePSVImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.AttributePSVImpl

public class AttributePSVImpl
extends java.lang.Object
implements AttributePSVI

Attribute PSV infoset augmentations implementation. The PSVI information for attributes will be available at the startElement call.

Field Summary
`protected java.lang.Object` | `fActualValue` schema validated value property
`protected weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` | `fDeclaration` attribute declaration
`protected java.util.Vector` | `fErrorCodes` error codes
`protected weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `fMemberType` member type definition against which attribute was validated
`protected XSSimpleType[]` | `fMemberTypes`
`protected java.lang.String` | `fNormalizedValue` schema normalized value property
`protected boolean` | `fSpecified` If this attribute was explicitly given a value in the original document, this is true; otherwise, it is false
`protected weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `fTypeDecl` type of attribute, simpleType
`protected short` | `fValidationAttempted` validation attempted: none, partial, full
`protected java.lang.String` | `fValidationContext` validation context: could be QName or XPath expression
`protected short` | `fValidity` validity: valid, invalid, unknown

Constructor Summary
`AttributePSVImpl()`

Method Summary
`void` | `addErrorCode(java.lang.String key)`
`java.lang.Object` | `getActualValue()` [actual value]
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` | `getAttributeDeclaration()` An item isomorphic to the attribute declaration used to validate this attribute.
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` | `getIsSchemaSpecified()` [schema specified]
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getMemberTypeDefinition()` If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getMemberTypes()`
`java.lang.String` | `getSchemaDefault()` [schema default]
`java.lang.String` | `getSchemaNormalizedValue()` [schema normalized value]
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` | `getValidationContext()`
`short` | `getValidity()` Determine the validity of the node with respect to the validation being attempted
`void` | `reset()` Reset()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDeclaration

    protected weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration fDeclaration

  attribute declaration

### fTypeDecl

    protected weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition fTypeDecl

  type of attribute, simpleType

### fSpecified

    protected boolean fSpecified

  If this attribute was explicitly given a value in the original document, this is true; otherwise, it is false

### fNormalizedValue

    protected java.lang.String fNormalizedValue

  schema normalized value property

### fActualValue

    protected java.lang.Object fActualValue

  schema validated value property

### fMemberType

    protected weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition fMemberType

  member type definition against which attribute was validated

### fMemberTypes

    protected XSSimpleType[] fMemberTypes

### fValidationAttempted

    protected short fValidationAttempted

  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  validity: valid, invalid, unknown

### fErrorCodes

    protected java.util.Vector fErrorCodes

  error codes

### fValidationContext

    protected java.lang.String fValidationContext

  validation context: could be QName or XPath expression

Constructor Detail

### AttributePSVImpl

    public AttributePSVImpl()

Method Detail

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]

  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public java.lang.String getSchemaNormalizedValue()

      [schema normalized value]

      Returns:
        the normalized value of this item after validation
      See Also:

        ### getActualValue

            public java.lang.Object getActualValue()

          [actual value]

          Returns:
            the binary value of this item after validation

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          [schema specified]

          Returns:
            false value was specified in schema, true value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Determines the extent to which the document has been validated

          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Determine the validity of the node with respect to the validation being attempted

          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public weblogic.apache.xerces.impl.xs.psvi.StringList getErrorCodes()

          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting

          Returns:
            list of error codes

        ### getValidationContext

            public java.lang.String getValidationContext()

        ### getTypeDefinition

            public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

          An item isomorphic to the type definition used to validate this element.

          Returns:
            a type declaration

        ### getMemberTypeDefinition

            public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getMemberTypeDefinition()

          If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

          Returns:
            a simple type declaration

        ### getMemberTypes

            public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getMemberTypes()

        ### getAttributeDeclaration

            public weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration getAttributeDeclaration()

          An item isomorphic to the attribute declaration used to validate this attribute.
          Specified by:
            getAttributeDeclaration in interface AttributePSVI

          Returns:
            an attribute declaration

        ### reset

            public void reset()

          Reset()

        ### addErrorCode

            public void addErrorCode(java.lang.String key)

        Overview | Package | Class | Use | Tree | Deprecated | Index | Help
        | Documentation is available at http://e-docs.bea.com/wls/docs81
        PREV CLASS NEXT CLASS | FRAMES NO FRAMES
        SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD